> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a loyalty program event adjustment

> Create a loyalty program event adjustment



## OpenAPI

````yaml openapi-loyalty.json POST /v1/loyalty/program_event_adjustments
openapi: 3.1.0
info:
  title: Yorlet Loyalty API
  description: APIs for managing loyalty programs, events, residents, and tiers.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/loyalty/program_event_adjustments:
    post:
      tags:
        - Loyalty Program Event Adjustments
      summary: Create a loyalty program event adjustment
      description: Create a loyalty program event adjustment
      operationId: loyalty_program_event_adjustments_create
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                loyalty_program_event:
                  type: string
                  description: The loyalty program event ID
                type:
                  type: string
                  enum:
                    - cancel
                  description: The type of adjustment
              required:
                - loyalty_program_event
                - type
      responses:
        '200':
          description: Create a loyalty program event adjustment
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Unique identifier for the object.
                  created:
                    type: number
                    description: >-
                      Time at which the object was created. Measured in seconds
                      since the Unix epoch.
                  account:
                    type: string
                    description: >-
                      The account that the object belongs to. Only returned if
                      the request is made with a valid Yorlet-Context header.
                  deleted:
                    type: boolean
                    default: false
                    description: Only returned if the object has been deleted.
                  object:
                    type: string
                    enum:
                      - loyalty.program_event
                  loyalty_program_event:
                    type: string
                    description: The loyalty program event ID
                  status:
                    type: string
                    enum:
                      - pending
                      - succeeded
                    description: The status of the adjustment
                  type:
                    type: string
                    enum:
                      - cancel
                    description: The type of adjustment
                required:
                  - id
                  - created
                  - object
                  - loyalty_program_event
                  - status
                  - type
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````